### Method

# Qmi IndicationNasSystemInfoOutput get_wcdma_system_info_v2

since: 1.30

#### Declaration [src]

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_system_info_v2 (
      QmiIndicationNasSystemInfoOutput* self,
      gboolean* value_wcdma_system_info_v2_domain_valid,
      QmiNasNetworkServiceDomain* value_wcdma_system_info_v2_domain,
      gboolean* value_wcdma_system_info_v2_service_capability_valid,
      QmiNasNetworkServiceDomain* value_wcdma_system_info_v2_service_capability,
      gboolean* value_wcdma_system_info_v2_roaming_status_valid,
      QmiNasRoamingStatus* value_wcdma_system_info_v2_roaming_status,
      gboolean* value_wcdma_system_info_v2_forbidden_valid,
      gboolean* value_wcdma_system_info_v2_forbidden,
      gboolean* value_wcdma_system_info_v2_lac_valid,
      guint16* value_wcdma_system_info_v2_lac,
      gboolean* value_wcdma_system_info_v2_cid_valid,
      guint32* value_wcdma_system_info_v2_cid,
      gboolean* value_wcdma_system_info_v2_registration_reject_info_valid,
      QmiNasNetworkServiceDomain* value_wcdma_system_info_v2_registration_reject_domain,
      QmiNasRejectCause* value_wcdma_system_info_v2_registration_reject_cause,
      gboolean* value_wcdma_system_info_v2_network_id_valid,
      const gchar** value_wcdma_system_info_v2_mcc,
      const gchar** value_wcdma_system_info_v2_mnc,
      gboolean* value_wcdma_system_info_v2_hs_call_status_valid,
      QmiNasWcdmaHsService* value_wcdma_system_info_v2_hs_call_status,
      gboolean* value_wcdma_system_info_v2_hs_service_valid,
      QmiNasWcdmaHsService* value_wcdma_system_info_v2_hs_service,
      gboolean* value_wcdma_system_info_v2_primary_scrambling_code_valid,
      guint16* value_wcdma_system_info_v2_primary_scrambling_code,
      GError** error
    )

#### Description [src]

Get the ‘WCDMA System Info v2’ field from `self`.

Available since: 1.30

#### Parameters

`value_wcdma_system_info_v2_domain_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_domain`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_service_capability_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_service_capability`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_roaming_status_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_roaming_status`

  Type: `QmiNasRoamingStatus`

  A placeholder for the output `QmiNasRoamingStatus`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_forbidden_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_forbidden`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_lac_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_lac`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_cid_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_cid`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_registration_reject_info_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_registration_reject_domain`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_registration_reject_cause`

  Type: `QmiNasRejectCause`

  A placeholder for the output `QmiNasRejectCause`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_network_id_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_mcc`

  Type: `const gchar**`

  A placeholder for the output constant string, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`value_wcdma_system_info_v2_mnc`

  Type: `const gchar**`

  A placeholder for the output constant string, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`value_wcdma_system_info_v2_hs_call_status_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_hs_call_status`

  Type: `QmiNasWcdmaHsService`

  A placeholder for the output `QmiNasWcdmaHsService`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_hs_service_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_hs_service`

  Type: `QmiNasWcdmaHsService`

  A placeholder for the output `QmiNasWcdmaHsService`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_wcdma_system_info_v2_primary_scrambling_code_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_wcdma_system_info_v2_primary_scrambling_code`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.